LibreELEC (Leia) 9.2.4

  • We reverted the RPi4 firmware back from the July 2 version kernel: Bump to 5.4.50 · raspberrypi/[email protected] · GitHub to the June 26 version kernel: Bump to 5.4.49 · raspberrypi/[email protected] · GitHub as the added support for interlaced modes was incomplete and caused the black screen issues with TVs that flag interlaced (eg 1080i50/60) as the preferred mode in their EDID. See also the github issue [BUG] · Issue #4523 · LibreELEC/LibreELEC.tv · GitHub


    so long,


    Hias

  • Just a thought, I am not a developer or technical person...

    Only change in 9.2.5 compared to 9.2.4 is the RPi4 firmware change - both use Kodi Leia 18.8 and we'll release 9.2.5 only for RPi4.


    so long,


    Hias

    In the extremely unlikely event that an emergency bugfix or backport goes into Kodi 18.8 then all LE9.2.n platform versions would go to 9.2.5?

    Please consider a suffix for the new RPi4 9.2.4 version such as 9.2.4r1.

    This would keep version alignment based on Kodi 18.8 and would allow for further RPi4 emergency firmware / EEPROM / linux releases if absolutely necessary (9.2.4r2, r3 etc.).


    A roadmap question (direction of travel - NOT timescales, I appreciate how busy and dedicated you all are).


    Will LE 9.2 RPi4 with Kodi 18.8 move to linux 5.4 kernel / firmware / EEPROM or remain at linux 4.19 kernel / firmware / EEPROM?

    (Please remember that I am not a developer and have no idea as to the technical feasibility or workload this may involve).


    This will impact RPi4 users dependent on Python 2 add-ons that will need to stay with LE 9.2 (until the add-ons are re-developed for Python 3) whilst all ongoing RPi4 developments and improvements will be based on linux 5.4 kernel / firmware / EEPROM.


    Really appreciate all the hard work.


    Sincere thanks.

    RPi4-4, Official PSU, Pimoroni Heatsink Case, USB Storage, HDHomerun Connect Quatro, Denon AVR, Sony TV.

  • This will impact RPi4 users dependent on Python 2 add-ons that will need to stay with LE 9.2

    Kodi 19 Matrix is Python-3 only, as Python-2 itself was already EOL as per 1st Jan 2020.

  • ATM we have no plans to do any further 9.x releases after 9.2.4/5. Same goes for Kodi, there are no further 18.x releases planned.


    Development focus is now purely on getting LE master/10.x running smoothly with V4L2 decoders and KMS/GBM.


    so long,


    Hias